import type { Config } from 'tailwindcss';
import defaultTheme from 'tailwindcss/defaultTheme';

/**
 * Custom color palettes:
 *  bunker, linkwater, silver, blacknight
 */
export default <Partial<Config>>{
    content: [
        './components/**/*.{js,vue,ts}',
        './layouts/**/*.vue',
        './pages/**/*.vue',
        './plugins/**/*.{js,ts}',
        './nuxt.config.{js,ts}',
    ],
    theme: {
        extend: {
            colors: {
                bunker: {
                    '50': '#f6f6f9',
                    '100': '#edecf2',
                    '200': '#d8d6e1',
                    '300': '#b5b2c7',
                    '400': '#8c88a8',
                    '500': '#6e698e',
                    '600': '#585475',
                    '700': '#49455f',
                    '800': '#3f3b51',
                    '900': '#383545',
                    '950': '#111015',
                },

                linkwater: {
                    '50': '#f2f9fd',
                    '100': '#d4e8f8',
                    '200': '#c2e2f5',
                    '300': '#8ccaed',
                    '400': '#4eade2',
                    '500': '#2793d0',
                    '600': '#1976b0',
                    '700': '#155f8f',
                    '800': '#165176',
                    '900': '#174463',
                    '950': '#102b41',
                },
                woodsmoke: {
                    '50': '#f5f5f6',
                    '100': '#e5e5e8',
                    '200': '#cfd0d2',
                    '300': '#adafb3',
                    '400': '#83848d',
                    '500': '#686972',
                    '600': '#595961',
                    '700': '#4c4d52',
                    '800': '#434347',
                    '900': '#3b3b3e',
                    '950': '#1b1b1d',
                },
                shark: {
                    '50': '#f7f7f8',
                    '100': '#eeeef0',
                    '200': '#dadadd',
                    '300': '#b9bac0',
                    '400': '#93949d',
                    '500': '#767781',
                    '600': '#606169',
                    '700': '#4e4e56',
                    '800': '#434349',
                    '900': '#3b3c3f',
                    '950': '#252528',
                },
                mineshaft: {
                    '50': '#f6f6f6',
                    '100': '#e7e7e7',
                    '200': '#d1d1d1',
                    '300': '#b0b0b0',
                    '400': '#888888',
                    '500': '#6d6d6d',
                    '600': '#5d5d5d',
                    '700': '#4f4f4f',
                    '800': '#454545',
                    '900': '#323232',
                    '950': '#262626',
                },
                tuatara: {
                    '50': '#f6f6f6',
                    '100': '#e7e7e7',
                    '200': '#d1d1d1',
                    '300': '#b0b0b0',
                    '400': '#888888',
                    '500': '#6d6d6d',
                    '600': '#5d5d5d',
                    '700': '#4f4f4f',
                    '800': '#454545',
                    '900': '#353535',
                    '950': '#262626',
                },
                blacknight: {
                    '50': '#f4f4f7',
                    '100': '#e4e5e9',
                    '200': '#cbccd6',
                    '300': '#a8abb8',
                    '400': '#7c8094',
                    '500': '#616479',
                    '600': '#535567',
                    '700': '#484956',
                    '800': '#3f3f4b',
                    '900': '#383941',
                    '950': '#050506',
                },
                silver: {
                    '50': '#f7f7f7',
                    '100': '#f0f0f0',
                    '200': '#e3e3e3',
                    '300': '#d1d1d1',
                    '400': '#bebebe',
                    '500': '#aaaaaa',
                    '600': '#969696',
                    '700': '#818181',
                    '800': '#6a6a6a',
                    '900': '#585858',
                    '950': '#333333',
                },
            },
        },
    },
};
